A Sandcastle Documented Class Library

# PropertyChangedAlerter
OnPropertyChanged Method

Executes the property changed action. This alerts subscribers to its change in value.

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    protected virtual void OnPropertyChanged(
    	[CallerMemberNameAttribute] string name = null
    )

#### Parameters

name (Optional)
  Type: System
  String
  (Optional) The name of the property.

Examples
This will automatically pass in "SomeProperty" as the property name, derived useing the CallerMemberNameAttribute attribute.
Automatic Property Detection
Copy

    public bool SomeProperty
    {
        get
        {
            return this.someProperty;
        }
        set
        {
            this.someProperty = value;
            OnPropertyChanged();
        }
    }

See Also

#### Reference

PropertyChangedAlerter Class
butterflow_ui Namespace